示例中心
功能在线体验
menu Created with Sketch. closed Created with Sketch.
您现在的位置:

高德

更新时间:2019年03月27日

尊敬的开发者,


《移动应用软件高API等级预置与分发自律公约》 规定,自2019年5月1日起,新上架应用(及预装应用)应基于Android 8.0 (API等级26,即targetSdkVersion大于等于26)及以上开发。自2019年8月1日起,现有应用(及预装应用)的更新必须基于Android 8.0 (API等级26,即targetSdkVersion大于等于26)及以上开发。


为了配合各位开发者按公约要求在规定时间内完成调整,保障开发者的应用能够正常更新上架,高德各SDK针对targetSdkVersion≥26前置条件下的系统变化做了策略兼容。其中,关于位置服务最明显的影响说明如下:Android 8.0设备对后台应用检索用户当前位置的频率进行限制,只允许后台应用每小时接收几次位置更新。以上变化可能会导致您的应用位置更新不及时,如果您的应用场景高度依赖位置更新,建议您可自行设置一个前台进程,也可以通过我们定位SDK内的enableBackgroundLocation接口进行设置。


如果您还有其他问题或者建议,可以通过高德开放平台官网提交工单进行反馈。


高德开放平台

2019年3月27日

示例中心 功能
在线体验
常见问题